/****************************************************************************************


		MCRTypes.r


		Copyright (c)1990 - 1999 MetaCreations. All rights reserved.

											     
		Author:	tsh
		Date:	1/9/99

		Revision History

		when		who			what & why
		==========	==========	======================================================
		3/16/99		Greg		Added CSch resource
		1/9/99		tsh			move FTYP stuff here from MFRTypes.r

****************************************************************************************/

#ifndef __MCRTYPES_R__
#define __MCRTYPES_R__

#ifdef qMacho
	#include <Carbon/Carbon.r>
#else
	#include "Types.r"
#endif

#include "MCCommonResDefines.h"


//******************************************************************
//
// FTYP
//

// We define a macro so this definition can be reused
#define FTYPDATA	\
	integer = $$CountOf(TypeArray);		/* Number of types		*/ \
	wide array TypeArray{	\
		literal longint;								/* Reference */	\
		cstring;												/* Name	*/ \
		integer = $$CountOf(MacTypeArray); \
		wide array MacTypeArray{ \
			literal longint;							/* Mac type  */ \
			}; \
		integer = $$CountOf(ExtTypeArray); \
		wide array ExtTypeArray{ \
			cstring;									/* Extension  */ \
			}; \
		};

type 'FTYP' {
	FTYPDATA
};


//******************************************************************
//
// CSch
//
// Color Scheme resource

type 'CSch'
{
	cstring;	// text: read using streams and ReadAttributes
};



//******************************************************************
//
// BnGp
//
// Key Binding resource used to create a TMCCommandBindingGroup

// We define a macro so this definition can be reused
#define BINDINGSGROUP	\
	integer kNoStrings = 0;							/*int16 ID of STR# resource to use to load the strings BnGp needs*/	\
	integer kDefaultName = 0;						/*int16 Index of string in STR# resource to use for fGroupName*/	\
	literal longint kNoGroup = 0;					/*int32 fGroupID*/	\
	integer = $$CountOf(BindingsArray);				/*number of command bindings*/	\
	wide array BindingsArray	\
	{	\
		longint kDefaultID = 0;						/*int32 (unique!)ID of the bound command or tool (fCommandID)*/		\
		integer kDefaultName = 0;					/*int16 Index of string in STR# resource to use for fCommandName*/	\
		integer kNoChar	 = 0;						/*int16 fChar*/			\
		integer;									/*int16 fShift, bitfield constants defined in MCCommonResDefines.h*/		\
		integer kNoCtrl  = 0, kCtrl = 1;			/*int16 fControl*/		\
		integer kNoAlt   = 0, kAlt  = 1;			/*int16 fAlt*/			\
		integer;									/*int16 fPlatforms	On which platforms is the shortut defined (use platform defines from CommonComDefines.h)*/	\
	};


type 'BnGp'
{
	BINDINGSGROUP
};


#endif

















